<?xml version="1.0" encoding="windows-1251"?>
<!--    IO-    Modbus -->
<KLogicModules>
	<!--        -->
	<!--         <Module ... </Module>  -->
	<!--      Id.   Id    -            -->
    <Module Id="2000" Comment="   Modbus">
		<!--  ,     -->
        <Name></Name>
		<!--    ( -  ) -->
        <sModGroupName></sModGroupName>
		<!--   ,      -->
        <CfgName>MB_TEMPLATE</CfgName>
		<!--  ,     -->
        <Descr>   Modbus</Descr>
		<!--   -->
        <Protocol>Modbus</Protocol>
		<!--  ,     -->
		<!-- Id -  Id  (  ) -->
		<!-- Name -     -->
		<!-- Type -   (  ) -->
		<!-- Init -      -->
		<!-- Access -   (H -     , R - ,      , RW -       -->
		<!-- Descr -    -->
        <Properties>
            <Prop Id="1"  Name=" " 						Type="BYTE"  	Init="1" 			Access="RW" 	Descr=""/>
            <Prop Id="2"  Name="" 									Type="BYTE" 	Init="0" 			Access="H"  	Descr=" : 0-RTU, 1-ASCII ( )"/>
			<!--     1,         +1 (..    0     1)  -->
            <Prop Id="3"  Name="" 									Type="BYTE"		Init="0" 			Access="H"  	Descr="   1"/>
			<!--   . .   = 1,     / (.   Endian)  -->
			<Prop Id="4"  Name=". " 							Type="BYTE" 	Init="1" 			Access="H"  	Descr="  ():  0 - Endian,  2 -   ,  3 -   - 1 "/> 
			<Prop Id="6"  Name=" "					Type="BYTE" 	Init="1" 			Access="RW"		Descr=" , ."/>
			<!--   Modbus TCP;    Modbus RTU         -->
			<Prop Id="10" Name="IP-"  								Type="IPADDR" 	Init="0x0A020885"	Access="RW"		Descr="IP-"/>
			<Prop Id="11" Name=""  									Type="WORD" 	Init="502" 			Access="RW"		Descr="TCP-"/>
        </Properties>
		<!--    ,     -->
		<!-- IdStr -  ,    -->
		<!-- Name -   -->
		<!-- Type -   ,    -->
		<!-- Init -    -->
		<!-- Access -     (R - ,      , RW -      ) -->
		<!-- Format -   ,  -    C -->																						
        <TagProperties>
            <Prop IdStr="Adr"      Name=" " 				Type="WORD"  	Init="0"			Access="RW"/>
            <Prop IdStr="Func"     Name=" "  					Type="BYTE"  	Init="3"			Access="RW"/>
            <Prop IdStr="DataType" Name=" "   					Type="BYTE"  	Init="11"			Access="R"/>
            <Prop IdStr="K"        Name=" "   Type="FLOAT" 	Init="1"			Access="RW"/>
            <Prop IdStr="msk"      Name=""        					Type="WORD"  	Init="0xFFFF"		Access="RW" 		Format="0x%x" 	Descr="   , 0xFFFF -  "/>
			<Prop IdStr="endian"   Name=" /" 		Type="BYTE" 	Init="0" 			Access="RW" 					   	Descr="0 -  , 1 -  , 2 -  , 3 -    "/>
		</TagProperties>
		<!-- -->
        <TagTree>
			<!--      -->
			<!--    Func="0" -->
            <Group Name="">
                <Tag Name=""     			    Type="DI"  Adr="0x0001" Func="0" Descr="   "/>
                <Tag Name=""      				Type="DTI" Adr="0x0002" Func="0" Descr="  "/>
                <Tag Name="" 				Type="DO"  Adr="0x0003" Func="0" Descr="   (True -  )"/>
				<!--           -->
				<Tag Name=" " 	Type="DO"  Adr="0x0005" Func="0" Descr="    "/>
            </Group>
			<!--           (  Group ... </Group>  -->
			<!--  : -->
			<!-- Name -   -->
			<!-- Adr -   -->
			<!-- Func -   
				  :
										0x01 - Read Coils  
										0x02 - Read Discrete Inputs
										0x03 - Read Input Registers
										0x04 - Read Holding Registers
										0x05 - Write Single Coil
										0x06 - Write Single Registers
										0x0F - Write Multiple Coils
										0x10 - Write Multiple Registers
				-->
			<!-- Type -   
				  :
										DI -  
										DO -  
								        AII -   
										AIF -     
								        AOI -   
										AOF -     
										DTI -   "  "
										DTO -   "  "
										SI -  
										SO -  
			-->
			<!-- DataType -   
				   "",    .
				     .   mb-modbus+.txt (  \IO),       .

				|    |  | 
				| RT_BIT     |  0  | 
				| RT_INT16   | 10  | 
				| RT_UINT16  | 11  | 
				| RT_INT32   | 20  | 
				| RT_UINT32  | 21  | 
				| RT_FLOAT32 | 23  | 
				| RT_TXT     | 41  | , -      msk (1  - 1 )
				| RT_DT32_1  | 38  | 4 
									//                | High   Low  | High   Low  | High  Low | High  Low
									//            |          |      |     | 
									//   |  1994-2092  | 1-12   1-31 | 0-23  0-59|   0-59999
			-->

			<!-- K -   -->
			<!-- msk -       (,     input-) 
				 : 0x0001 -   (0-)  , 0x8000 -   (15-)   -->
			<!-- endian -  / (0 -  , 1 -  , 2 -  , 3 -    ) -->
			<!-- Descr -   -->
			
			<!--  Coil   0  -->
			<Tag Name="Coil_0_r"		Adr="0x0000"	Func="0x01"		Type="DI"	DataType="0"	K="0"	msk="0xFFFF"  	endian="0" 		Descr="Coil 0 ()"/>
			<!--   15  holding-   0  -->
			<Tag Name="HR_0.7_r"  		Adr="0x0000"	Func="0x03"		Type="DI"	DataType="11"	K="1"	msk="0x0080"    endian="0"		Descr="Holding- 0,  7 ()"/>
			<!--  Coil   0  -->
			<Tag Name="Coil_0_w"		Adr="0x0000"	Func="0x05"		Type="DO"	DataType="0"	K="0"	msk="0xFFFF"  	endian="0" 		Descr="Coil 0 ()"/>
			<!--       -->
            <Group Name=" ">
				<Tag Name="IR_5"  			Adr="0x0005"	Func="0x04"		Type="AII"	DataType="11"	K="1"	msk="0xFFFF"    endian="0" 		Descr="Input- 5 ()"/>
				<Tag Name="IR_6_7"  		Adr="0x0006"	Func="0x04"		Type="AIF"	DataType="23"	K="1.5"	msk="0xFFFF"    endian="0" 		Descr="Input- 6-7   Float()"/>
				<Tag Name="HR_3_4_w"  		Adr="0x0003"	Func="0x10"		Type="AOI"	DataType="20"	K="1"	msk="0xFFFF"    endian="0" 		Descr="Holding- 3-4   Int32 [)"/>
				<Tag Name="HR_5_6_w"  		Adr="0x0005"	Func="0x10"		Type="AOF"	DataType="23"	K="1"	msk="0xFFFF"    endian="0" 		Descr="Holding- 5-6   Float [)"/>
            </Group> 
			<Group Name="C">
				<Tag Name="HR_10_14_r"  	Adr="0x000A"	Func="0x03"		Type="SI"	DataType="41"	K="1"	msk="0x000A"    endian="0" 		Descr="Holding- 10-14,  ()"/>
				<!--    
			    <Tag Name="HR_10_14_w"  	Adr="0x000A"	Func="0x10"		Type="SO"	DataType="41"	K="1"	msk="0x000A"    endian="0" 		Descr="Holding- 10-14,  ()"/>
				-->
			</Group> 
			<Group Name="  ">
				<Tag Name="HR_20_23_r"  	Adr="0x0014"	Func="0x03"		Type="DTI"	DataType="38"	K="1"	msk="0xFFFF"    endian="0" 		Descr="Holding- 20-23,    ()"/>
			    <Tag Name="HR_20_23_w"  	Adr="0x0014"	Func="0x10"		Type="DTO"	DataType="38"	K="1"	msk="0xFFFF"    endian="0" 		Descr="Holding- 20-23,    ()"/>
			</Group> 
        </TagTree>
    </Module>
    <!--         -->
</KLogicModules>